#!/bin/bash

if [ $UID -ne 0 ]; then
	echo Please run this script as root
	exit
fi

echo Installation root
echo 1. /usr
echo 2. /usr/local
echo 3. /opt
echo Q. Quit

read opt
if [ $? -ne 0 ]; then
	exit
fi

rdir=""
case "$opt" in
	1) rdir="/usr";;
	2) rdir="/usr/local";;
	3) rdir="/opt";;
	*) exit
esac

AUFHOME=""
if [ $opt -lt 3 ]; then
	AUFHOME="$rdir/lib/auformat"
else
	AUFHOME="/opt/auformat"
fi

install -o root -g root -d $AUFHOME
install -o root -g root -m 755 auformat.pl $AUFHOME
install -o root -g root -m 644 README.md $AUFHOME
install -o root -g root -d $AUFHOME/schema
install -o root -g root -m 644 schema/*.xsd $AUFHOME/schema
install -o root -g root -d $AUFHOME/transform
install -o root -g root -d $AUFHOME/transform/aureport
install -o root -g root -m 644 transform/aureport/*.xsl $AUFHOME/transform/aureport
install -o root -g root -d $AUFHOME/transform/ausearch
install -o root -g root -m 644 transform/ausearch/*.xsl $AUFHOME/transform/ausearch

if [ $opt -lt 3 ]; then
	ln -s $AUFHOME/auformat.pl $rdir/bin/auformat
	install -o root -g root -m 644 auformat.1 $rdir/man/man1
else
	install -o root -g root -m 644 auformat.1 $AUFHOME
fi

echo Completed. See man auformat for details.
