<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:audit="urn:linux:audit:aureport"
	xmlns:str="http://exslt.org/strings"
	extension-element-prefixes="str"
	version="1.0">
	
	<xsl:output method="text"/>
	
	<xsl:template match="text()" />

	<xsl:template match="audit:aureport">
		<xsl:text>&#10;</xsl:text>
		<xsl:value-of select="/audit:aureport/@title"/>
		<xsl:text>&#10;</xsl:text>
		<xsl:apply-templates select="audit:header" mode="hash"/>
		<xsl:text>&#10;</xsl:text>
		<xsl:apply-templates select="audit:header" mode="values"/>
		<xsl:text>&#10;</xsl:text>
		<xsl:apply-templates select="audit:header" mode="hash"/>
		<xsl:text>&#10;</xsl:text>
		<xsl:apply-templates select="audit:record"/>
	</xsl:template>
	
	<xsl:template match="audit:header" mode="hash">
		<xsl:text>=</xsl:text>
		<xsl:apply-templates select="audit:col" mode="hash"/>
	</xsl:template>
	
	<xsl:template match="audit:col" mode="hash">
		<xsl:value-of select="str:padding(string-length()+1, '=')"/>
	</xsl:template>
	
	<xsl:template match="audit:header" mode="values">
		<xsl:text># </xsl:text>
		<xsl:apply-templates select="audit:col" mode="value"/>
	</xsl:template>
	
	<xsl:template match="audit:col" mode="value">
		<xsl:value-of select="."/>
		<xsl:if test="position() != last()"><xsl:text> </xsl:text></xsl:if>
	</xsl:template>
	
	<xsl:template match="audit:record">
		<xsl:value-of select="@num"/><xsl:text>. </xsl:text>
		<xsl:apply-templates select="audit:field"/>
		<xsl:text>&#10;</xsl:text>
	</xsl:template>
	
	<xsl:template match="audit:field">
		<xsl:value-of select="."/>
		<xsl:if test="position() != last()"><xsl:text> </xsl:text></xsl:if>
	</xsl:template>
</xsl:stylesheet>
