<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE stylesheet [
	<!ENTITY nbsp  "&#160;" >
]>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:audit="urn:linux:audit:aureport"
	version="1.0">
	
	<xsl:output method="html"
		doctype-system="http://www.w3.org/TR/html4/strict.dtd"
		doctype-public="-/W3C//DTD HTML 4.01//EN"
		indent="yes"
		encoding="UTF-8"
		omit-xml-declaration="yes"/>

	<xsl:strip-space elements="*"/>
	
	<xsl:template match="text()" />
	
	<xsl:template match="audit:aureport">
		<html>
			<head>
				<xsl:element name="title">
					<xsl:text>Audit report for </xsl:text>
					<xsl:value-of select="@hostname"/>
				</xsl:element>
				<meta http-equiv="Content-type" content="text/html;charset=UTF-8" />
				<xsl:element name="meta">
					<xsl:attribute name="name">hostname</xsl:attribute>
					<xsl:attribute name="content"><xsl:value-of select="@hostname"/></xsl:attribute>
				</xsl:element>
				<xsl:element name="meta">
					<xsl:attribute name="name">generated</xsl:attribute>
					<xsl:attribute name="content"><xsl:value-of select="@generated"/></xsl:attribute>
				</xsl:element>
				<xsl:element name="meta">
					<xsl:attribute name="name">generator</xsl:attribute>
					<xsl:attribute name="content"><xsl:value-of select="@generator"/></xsl:attribute>
				</xsl:element>
				
				<xsl:comment>See datatables.net for sorting and filtering JavaScript libraries</xsl:comment>
				
				<!-- DataTables CSS -->
				<link rel="stylesheet" type="text/css" href="http://ajax.aspnetcdn.com/ajax/jquery.dataTables/1.9.4/css/jquery.dataTables.css" />
				
<style type="text/css">
th {
	font: bold 12px Verdana, Arial, Helvetica, sans-serif;
	letter-spacing: 2px;
	text-transform: uppercase;
	text-align: left;
}

table {
	font: 10px Verdana, Arial, Helvetica, sans-serif;
}

.dataTables_filter {
	font: 10px Verdana, Arial, Helvetica,sans-serif;
	padding-bottom: 10px;
}

.dataTables_info {
	font: 10px Verdana, Arial, Helvetica,sans-serif;
	padding-top: 10px;
	padding-bottom: 10px;
}

td.fail {
	background: #7A0000 !important;
	color: white !important;
}

td.group {
	border-left: solid black;
	border-right: solid black;
}
</style>
				
				<!-- jQuery -->
				<script type="text/javascript" charset="utf8" src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.8.2.min.js" />
 				
				<!-- DataTables -->
				<script type="text/javascript" charset="utf8" src="http://ajax.aspnetcdn.com/ajax/jquery.dataTables/1.9.4/jquery.dataTables.min.js" />
			</head>
			<body>
				<xsl:element name="h1">
					<xsl:text>Audit report for </xsl:text>
					<xsl:value-of select="@hostname"/>
					<xsl:text> generated on </xsl:text>
					<xsl:value-of select="@generated"/>
				</xsl:element>
				<table border="1" cellpadding="5" id="atable">
					<thead>
						<xsl:apply-templates select="audit:header"/>
					</thead>
					<tbody>
						<xsl:apply-templates select="audit:record"/>
					</tbody>
				</table>
				
				<script type="text/javascript">
				$(document).ready(function(){
					$('#atable').dataTable({
						"bPaginate": false,
        					"bLengthChange": false,
        					"bFilter": true,
        					"bSort": true,
        					"bInfo": true,
        					"bProcessing": true
        				});
				});
				</script>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="audit:header">
		<tr>
			<th>#</th>
			<xsl:apply-templates select="audit:col"/>
		</tr>
	</xsl:template>
	
	<xsl:template match="audit:col">
		<th><xsl:value-of select="."/></th>
	</xsl:template>
	
	<xsl:template match="audit:record">
		<tr>
			<td><xsl:value-of select="@num"/></td>
			<xsl:apply-templates select="audit:field"/>
		</tr>
	</xsl:template>
	
	<xsl:template match="audit:field">
		<xsl:element name="td">
			<xsl:attribute name="class">
				<xsl:choose>
					<xsl:when test="@col = 'success' and . = 'no'">fail</xsl:when>
				</xsl:choose>
			</xsl:attribute>
			<xsl:value-of select="."/>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
