<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:audit="urn:linux:audit:ausearch" version="1.0">
	<xsl:output method="text"/>
	
	<xsl:template match="text()" />
	
	<xsl:template match="/audit:ausearch/audit:Event">
		<xsl:text>----&#10;</xsl:text>
		<xsl:apply-templates select="audit:record"/>
	</xsl:template>
	
	<xsl:template match="audit:record">
		<xsl:text>type=</xsl:text><xsl:value-of select="@name"/> msg=audit(<xsl:value-of select="@timestamp"/>) :<xsl:apply-templates/>
		<xsl:text>&#10;</xsl:text>
	</xsl:template>
	
	<xsl:template match="audit:info" name="info">
		<xsl:value-of select="."/> <xsl:text> </xsl:text>
	</xsl:template>
	
	<xsl:template match="audit:msg">msg=&apos;<xsl:apply-templates/>&apos;</xsl:template>
	
	<xsl:template name="param">
		<xsl:choose>
			<xsl:when test="@status"><xsl:value-of select="@status"/><xsl:text> </xsl:text></xsl:when>
		</xsl:choose>
		
		<xsl:value-of select="name()"/>=<xsl:value-of select="."/>
		<xsl:if test="position() != last()"><xsl:text> </xsl:text></xsl:if>
	</xsl:template>
	
	<xsl:template match="audit:record/*[(name() != 'info') and (name() != 'msg')]">
		<xsl:call-template name="param"/>
	</xsl:template>
	
	<xsl:template match="audit:record/audit:msg/*">
		<xsl:choose>
			<xsl:when test="name() = 'info'"><xsl:call-template name="info"/></xsl:when>
			<xsl:otherwise><xsl:call-template name="param"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>
