<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE stylesheet [
	<!ENTITY nbsp  "&#160;" >
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:audit="urn:linux:audit:ausearch" version="1.0">
	<xsl:param name="sep">,</xsl:param>
	
	<xsl:output method="text"
		indent="no"
		encoding="UTF-8"/>

	<xsl:strip-space elements="*"/>
	
	<xsl:template match="text()" />
	
	<xsl:template match="audit:ausearch">
		<xsl:text>Event,</xsl:text>
		<xsl:if test="/audit:ausearch/audit:Event/audit:record/@node">
			<xsl:text>Node,</xsl:text>
		</xsl:if>
		<xsl:text>Timestamp,Type,uid,pid,exe,Result,Message&#10;</xsl:text>
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template match="audit:Event">
		<xsl:apply-templates select="audit:record"/>
	</xsl:template>
	
	<xsl:template match="audit:record">
		<xsl:number count="audit:Event"/><xsl:value-of select="$sep"/>
		<xsl:if test="@node"><xsl:value-of select="@node"/><xsl:value-of select="$sep"/></xsl:if>
		<xsl:value-of select="@timestamp"/><xsl:value-of select="$sep"/>
		<xsl:value-of select="@type"/><xsl:value-of select="$sep"/>
		<xsl:value-of select="child::audit:uid"/><xsl:value-of select="$sep"/>
		<xsl:value-of select="child::audit:pid"/><xsl:value-of select="$sep"/>
		<xsl:value-of select="descendant::audit:exe"/><xsl:value-of select="$sep"/>

		<!-- result may be in the main values or within the msg -->
		<xsl:choose>
			<xsl:when test="child::audit:res">
				<xsl:value-of select="child::audit:res"/>
			</xsl:when>
			<xsl:when test="child::audit:success">
				<xsl:value-of select="child::audit:success"/>
			</xsl:when>
			<xsl:when test="descendant::audit:res">
				<xsl:value-of select="descendant::audit:res"/>
			</xsl:when>
			<xsl:when test="contains(child::audit:info, 'denied')">denied</xsl:when>
		</xsl:choose>
		<xsl:value-of select="$sep"/>
		
		<xsl:text>"</xsl:text><xsl:apply-templates/><xsl:text>"&#10;</xsl:text>
	</xsl:template>
	
	<xsl:template match="audit:msg">msg='<xsl:apply-templates/>'</xsl:template>
	
	<xsl:template match="*">
		<xsl:if test="name() != 'info'">
			<xsl:value-of select="name()"/>
			<xsl:if test="@status"><xsl:text> (</xsl:text><xsl:value-of select="@status"/>)</xsl:if>
			<xsl:text>=</xsl:text>
		</xsl:if>
		<xsl:value-of select="."/>
		
		<xsl:if test="following-sibling::*"><xsl:text> </xsl:text></xsl:if>
	</xsl:template>
</xsl:stylesheet>
