<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:audit="urn:linux:audit:ausearch" version="1.0">
	<xsl:output method="text"/>
	<xsl:strip-space elements="*"/>
	<xsl:variable name="indent"><xsl:text>					</xsl:text></xsl:variable>
	<xsl:variable name="mindent"><xsl:text>						</xsl:text></xsl:variable>
	
	<xsl:template match="text()" />
	
	<xsl:template match="audit:ausearch">{
	"hostname":"<xsl:value-of select="@hostname"/>",
	"generated":"<xsl:value-of select="@generated"/>",
	"generator":"<xsl:value-of select="@generator"/>",
	"events": [	<xsl:apply-templates select="audit:Event"/>
	]
}
</xsl:template>
	
	<xsl:template match="/audit:ausearch/audit:Event">
		{
			"records": [<xsl:apply-templates select="audit:record"/>
			]<xsl:text>	
		}</xsl:text>
		<xsl:if test="position() != last()">
			<xsl:text>,</xsl:text>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="audit:record">
				{<xsl:if test="@node">
				<xsl:text>					"node":"</xsl:text><xsl:value-of select="@node"/><xsl:text>"&#10;</xsl:text>
			</xsl:if>
					"type":"<xsl:value-of select="@type"/>",
					"timestamp":"<xsl:value-of select="@timestamp"/><xsl:text>",&#10;</xsl:text>
		<xsl:apply-templates/>
				}<xsl:if test="following-sibling::*"><xsl:text>,</xsl:text></xsl:if>
	</xsl:template>
	
	<xsl:template match="audit:msg">
		<xsl:value-of select="$indent"/>
		<xsl:text>"msg":{&#10;</xsl:text>
		<xsl:apply-templates/>
					}</xsl:template>
	
	<xsl:template match="*">
		<xsl:choose>
			<xsl:when test="parent::audit:msg">
				<xsl:value-of select="$mindent"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$indent"/>
			</xsl:otherwise>
		</xsl:choose>
		
		<xsl:text>"</xsl:text><xsl:value-of select="name()"/>
		
		<xsl:if test="@status"><xsl:text> (</xsl:text><xsl:value-of select="@status"/>)</xsl:if>

		<xsl:text>":"</xsl:text>
		<xsl:value-of select="."/>
		<xsl:text>"</xsl:text>
		
		<xsl:if test="following-sibling::*"><xsl:text>,&#10;</xsl:text></xsl:if>
	</xsl:template>
</xsl:stylesheet>
